export  class LEvent extends Laya.Event
{
    public CLASS_NAME:string = "LEvent";
    private _obj:any;
    public constructor(type:string, obj:any = null, bubbles:boolean = false, cancelable:boolean = false){
        super();
        if(obj){
            this._obj = obj;
        }
    }

    public clone(obj?:Object):LEvent{
        return new LEvent(this.type, obj?obj:this._obj);
    }

    public toString():void{
        console.log(this.CLASS_NAME, "type", "bubbles", "cancelable");
    }

    /**
     * 传参获取
     * @returns {any}
     */
    public get param():any{
        return this._obj;
    }

}